Subject: Re: User restrictions...?

From: James McMahon <[email-masked]>
Date: Tue, 16 Mar 1999 10:27:32 +1100

Martin,

This really is answered in the FAQ (details below), but I'll give you a
quick summary.

If you use guestgroups, then the users are logged into a change root
environment, and
effectively see their home directory as /.  This means that in ordir for
LIST to work
correctly, you have to add a basic directory structure to their home
directories, including
a copy of ls in /bin, and the libraries required for ls to run in /lib.

This has been summarised a number of times in the past on this list, so if
you check out
the list archives and the FAQ you should get a pretty good idea of what is
required.

wu-ftpd Resource Center:       http://www.landfield.com/wu-ftpd/
wu-ftpd FAQ:
http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
wu-ftpd list archive:
http://www.landfield.com/wu-ftpd/mail-archive/

Hope this helps,

James

Martin Edelius wrote:

> Hi.
>
> I've been tweaking my WU FTP config for two hours or so now and I can't
> get it to do what I want. Since I'm new to the WU FTP (heck, FTP's in
> general, at least on the admin side 8) I'm not sure that it can do what
> I want:
>
> Our site has a number of hosted sites, all maintained by different
> users. Our html root is at /home/httpd/html and to allow our hosted
> sites to be accessed via www.domain.com/hostedsite we're placing them in
> /home/httpd/html/hostedsite.
>
> So far so good. The problem is that no matter how I try I can't stop the
> hosted sites managers from moving around in the directory as they
> please, that is leave their site root directory. If they want to they
> can just jump down to the root and all over the server. Is there a way
> to prevent this?
>
> I've been fooling around with the guestgroup entry in ftpaccess and it
> stops the user from getting outside his home directory but I can't get
> my FTP-client to do a proper LIST, nothing shows up. I can upload
> wihtout problem though. I've tried to add ls to a number of different
> directories /home/httpd/html/hostedsite/bin, /home/httpd/html/bin and
> even /home/ftp/bin (where it already was btw...), but no difference.
>
> Am I barking up the wrong tree here? Should I get us another FTP server?
>
> All help appreciated, we'll be going on-line soon (I hope 8)
>
> -- Martin
> Unreal Nation